﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MusicSearcher
{
    public class MusicListItem
    {
        private string _displayValue = String.Empty;
        public string DisplayValue
        {
            get { return _displayValue; }
        }

        private string _id = String.Empty;
        public string ID
        {
            get { return _id; }
        }

        public MusicListItem(string displayValue, string id)
        {
            if (String.IsNullOrEmpty(displayValue))
                throw new ArgumentException("The music item display value cannot be null or empty.", "displayValue");
            if (String.IsNullOrEmpty(id))
                throw new ArgumentException("The music item ID cannot be null or empty.", "id");

            this._displayValue = displayValue;
            this._id = id;
        }

        public override string ToString()
        {
            return this.DisplayValue;
        }
    }
}
