﻿using System;
using System.Collections.Generic;

namespace HttpExerciser
{
    public class PacketInfo
    {
        public enum PacketTypes { Request = 0, Response };
        public enum PacketContentTypes { None = -1, Any = 0, Html, Xml, Atom, Json, UrlEncoded }
        protected static string[] ContentTypeStrings = { "*/*", "text/html", "text/xml", "application/atom+xml", "application/json", "application/x-www-urlencoded" };

        public Int32 PacketID { get; set; }
        public PacketTypes PacketType { get; set; }
        public Int32 PacketSize { get; set; }
        public string PacketUri { get; set; }
        public List<string> PacketHeaders { get; set; }
        public string PacketContents { get; set; }
        public PacketContentTypes PacketContentType { get; set; }

        public PacketInfo()
        {
        }

        public PacketInfo(PacketTypes packetType, Int32 packetSize, string packetUri)
        {
            this.PacketType = packetType;
            this.PacketSize = packetSize;
            this.PacketUri = packetUri;
        }
    }
}
