﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace HttpExerciser
{
    /// <summary>
    /// Interaction logic for SettingsEditWindow.xaml
    /// </summary>
    public partial class SettingsEditWindow : Window
    {
        public SettingsEditWindow()
        {
            InitializeComponent();
        }

        private void cmdOK_Click(object sender, RoutedEventArgs e)
        {
            // If you're wondering how the resource text is assigned to the text
            // control, it's done through data binding in the XAML file. FYI.
            //
            // Make sure the port is an integer...
            Int16 port = 0;
            if (!Int16.TryParse(tbPort.Text, out port))
            {
                // Not an integer value...
                MessageBox.Show(String.Format("The port value must be an integer within the range of 0 to {1}.", Int16.MaxValue), "Port Error", MessageBoxButton.OK, MessageBoxImage.Error);
            }
            else
            {
                this.DialogResult = true;
            }
        }

        private void Uri_TextChanged(object sender, TextChangedEventArgs e)
        {
            // Check for a null label (this event fires when the window
            // initializes since we databind with settings).
            if (lblExample != null)
            {
                // TODO: need to filter bad characters out...
                TextBox textbox = sender as TextBox;
                lblExample.Content = String.Format("Example: http://*:{0}/{1}/", tbPort.Text, textbox.Text);
            }
        }

        private void tbPort_TextChanged(object sender, TextChangedEventArgs e)
        {
            // Check for a null label (this event fires when the window
            // initializes since we databind with settings).
            if (lblExample != null)
            {
                lblExample.Content = String.Format("Example: http://*:{0}/", tbPort.Text);
            }
        }
    }
}
