﻿// [Book name], ISBN: [isbn]
// Kenn Scribner and Scott Seely
// This code supplied without any warranties, express or implied. 
// Code is free to use, public domain. 
// Have a nice day!

using System;
using System.ServiceModel;
using PhotoShared;

namespace PhotoWeb
{
    // NOTE: If you change the interface name "IImageManager" here, you must also update the reference to "IImageManager" in Web.config.
    [ServiceContract(Namespace = "http://www.scottseely.com/RESTBook/2008")]
    public interface IImageManager
    {
        [OperationContract]
        Guid AddImage(ImageItem item);

        [OperationContract]
        ImageItem GetImage(string imageId);

        [OperationContract]
        ImageItem[] GetImagesForUser(string username);

        [OperationContract]
        void UpdateImage(ImageItem item, string imageId);

        [OperationContract]
        void DeleteImage(string imageId);
        
        [OperationContract]
        string SayHi(string name);

    }
}
