﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using System.Web;
using System.Web.Hosting;

namespace AspNetHost
{
    class Program
    {
        static void Main(string[] args)
        {
            // Validate arg[0]
            if (args.Length > 0)
            {
                if (File.Exists(args[0]))
                {
                    // Run the file
                    Program pgm = new Program();
                    pgm.Run(args[0]);
                }
            }
        }

        void Run(string aspnetFile)
        {
            // Create an AppDomain to host the request processing. Note
            // ApplicationHost requires a copy of the assembly to be
            // located in a "bin" subdirectory, so with the project is
            // a post-build script to create the "bin" directory and
            // copy the .exe file there.
            LocalAspNetHost host = ApplicationHost.CreateApplicationHost(
                typeof(LocalAspNetHost),
                "/",
                Directory.GetCurrentDirectory()) as LocalAspNetHost;

            // Process request in new AppDomain
            host.ProcessRequest(aspnetFile);

            // Show the stream
            Console.Write("\n\nPress any key to exit...");
            Console.ReadKey();
        }
    }

    public class LocalAspNetHost : MarshalByRefObject
    {
        public void ProcessRequest(string aspnetFile)
        {
            // Create worker request instance
            HttpWorkerRequest request =
                new SimpleWorkerRequest(aspnetFile, null, Console.Out);

            // Process the request
            HttpRuntime.ProcessRequest(request);
        }
    }
}
