﻿using System;
using System.Diagnostics;
using System.Runtime.Serialization;


namespace AspNetRestService
{
    [DataContract(Namespace = "http://www.endurasoft.com/REST.NET/")]
    public sealed class BlogCommentItem
    {
        public BlogCommentItem()
        {
        }

        public BlogCommentItem(Int32 commentID, Int32 entryID, string commentor, string comment, DateTime postDate)
        {
            this.CommentID = commentID;
            this.EntryID = entryID;
            this.Commentor = commentor;
            this.Comment = comment;
            this.PostDate = postDate;
        }

        public BlogCommentItem(BlogComment dbComment)
        {
            this.CommentID = dbComment.CommentID;
            this.EntryID = dbComment.EntryID;
            this.Commentor = dbComment.Commentor;
            this.Comment = dbComment.Comment;
            this.PostDate = dbComment.PostDate;
        }

        [DataMember]
        public Int32 CommentID { get; set; }

        [DataMember]
        public Int32 EntryID { get; set; }

        [DataMember]
        public string Commentor { get; set; }

        [DataMember]
        public string Comment { get; set; }

        [DataMember]
        public DateTime PostDate { get; set; }
    }
}
