﻿using System;
using System.Diagnostics;
using System.Runtime.Serialization;
using System.Web;

/// <remarks>
/// I derived this class as I would any class coming from a RESTful
/// service that I knew would be updated via XML. I took a copy of
/// the XML from the service and ran it through xsd.exe to create
/// a schema. With the schema in hand, I ran xsd.exe again to create
/// a C# file.
/// 
/// Then it got interesting. The C# file you get is tailored for
/// the XML Serializer, but here I wanted to use the runtime XML
/// serialializer to make sure the XML would match. I found I also
/// then had to flex the server side a bit to make some of the
/// properties optional (or marked as optional...they always were
/// intended to be issued to the client, not client to service).
/// 
/// The last thing I found was I couldn't leave the PostDate as
/// a string (which xsd.exe created) because of the odd way
/// the JSON date is formatted. I had the *perfect* algorithm
/// for creating that string, but the server never took it.
/// So DateTime for me. 
/// </remarks>
[DataContract(Namespace = "http://www.endurasoft.com/REST.NET/")]
public partial class BlogEntryItem
{

    private string commentsField;

    private string entryField;

    private string entryIDField;

    private string entryLinkField;

    private DateTime postDateField;

    private string titleField;

    /// <remarks/>
    [DataMember]
    public string Comments
    {
        get
        {
            return this.commentsField;
        }
        set
        {
            this.commentsField = value;
        }
    }

    /// <remarks/>
    [DataMember]
    public string Entry
    {
        get
        {
            return this.entryField;
        }
        set
        {
            this.entryField = value;
        }
    }

    /// <remarks/>
    [DataMember]
    public string EntryID
    {
        get
        {
            return this.entryIDField;
        }
        set
        {
            this.entryIDField = value;
        }
    }

    /// <remarks/>
    [DataMember]
    public string EntryLink
    {
        get
        {
            return this.entryLinkField;
        }
        set
        {
            this.entryLinkField = value;
        }
    }

    /// <remarks/>
    [DataMember]
    public DateTime PostDate
    {
        get
        {
            return this.postDateField;
        }
        set
        {
            this.postDateField = value;
        }
    }

    /// <remarks/>
    [DataMember]
    public string Title
    {
        get
        {
            return this.titleField;
        }
        set
        {
            this.titleField = value;
        }
    }
}

