﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Security;

namespace AspNetMvcRestService.Models
{
    public partial class CodeXRCPutService : CodeXRCServiceBase
    {
        public CodeXRCPutService(string[] directives) :
            base(directives)
        {
        }

        public override void ExecuteResult(ControllerContext context)
        {
            // Test the user's credentials
            if (context.HttpContext.User.IsInRole("Insert"))
            {
                // We'll accept only XML for creating/updating a
                // resource. We could accept JSON easily, but this
                // is how you'd limit inputs to a specific type.
                if (context.HttpContext.Request.ContentType.ToLower() == "text/xml")
                {
                    // Create the indicated resource
                    CreateResource(context);
                }
                else
                {
                    // Wasn't XML...
                    _aux.RenderErrorNotAcceptablePut(context);
                }
            }
            else
            {
                // User forbidden
                _aux.RenderErrorForbidden(context);
            }
        }
    }
}
