﻿// Effective REST Services via .NET, ISBN: 0321613406
// Kenn Scribner and Scott Seely
// This code supplied without any warranties, express or implied. 
// Code is free to use, public domain. 
// Have a nice day!

using System;
using System.Data.Services;
using System.Data.Services.Common;
using System.IO;
using System.Runtime.Serialization;

namespace PhotoShared
{
    [DataContract(Namespace = "http://www.scottseely.com/RESTBook/2008")]
    [DataServiceKey("ImageId")]
    [IgnoreProperties("Image")]
    public class ImageItem
    {
        public ImageItem() { }

        [DataMember]
        public string ImageUrl { get; set; }

        [DataMember]
        public Guid ImageId { get; set; }

        [DataMember]
        public string Description { get; set; }

        [DataMember]
        public string Caption { get; set; }

        [DataMember]
        public bool PublicImage { get; set; }

        [DataMember]
        public string UserName { get; set; }

        [DataMember]
        public byte[] ImageBytes { get; set; }

        public System.Drawing.Image Image
        {
            get
            {
                MemoryStream stream = new MemoryStream(ImageBytes);
                System.Drawing.Image retval = System.Drawing.Bitmap.FromStream(stream);
                stream.Close();
                return retval;
            }
        }
    }
}
