﻿// Effective REST Services via .NET, ISBN: 0321613406
// Kenn Scribner and Scott Seely
// This code supplied without any warranties, express or implied. 
// Code is free to use, public domain. 
// Have a nice day!

using System;
using System.ServiceModel;
using System.ServiceModel.Web;
using PhotoShared;

namespace PhotoWeb
{
    // NOTE: If you change the interface name "IImageManager" here, you must also update the reference to "IImageManager" in Web.config.
    [ServiceContract(Namespace = "http://www.scottseely.com/RESTBook/2008")]
    public interface IImageManager
    {
        [OperationContract]
        [WebInvoke(Method = "POST",
            BodyStyle = WebMessageBodyStyle.Bare,
            UriTemplate = "/Images/")]
        Guid AddImage(ImageItem item);

        [OperationContract]
        [WebInvoke(Method = "DELETE",
            BodyStyle = WebMessageBodyStyle.Bare,
            UriTemplate = "/Image/{imageId}")]
        void DeleteImage(string imageId);

        [OperationContract]
        [WebGet(BodyStyle = WebMessageBodyStyle.Bare,
            UriTemplate = "/Image/{imageId}")]
        ImageItem GetImage(string imageId);

        [OperationContract]
        [WebInvoke(Method = "HEAD",
            BodyStyle = WebMessageBodyStyle.Bare,
            UriTemplate = "/Image/{imageId}")]
        ImageItem GetImageHead(string imageId);

        [OperationContract]
        [WebGet(BodyStyle = WebMessageBodyStyle.Bare,
            UriTemplate = "/Images/{username}")]
        ImageItem[] GetImagesForUser(string username);

        [OperationContract]
        [WebInvoke(Method = "HEAD",
            BodyStyle = WebMessageBodyStyle.Bare,
            UriTemplate = "/Images/{username}")]
        ImageItem[] GetImagesForUserHead(string username);

        [OperationContract]
        [WebInvoke(Method = "PUT",
            BodyStyle = WebMessageBodyStyle.Bare,
            UriTemplate = "/Image/{imageId}")]
        void UpdateImage(ImageItem item, string imageId);
    }
}
