﻿// Effective REST Services via .NET, ISBN: 0321613406
// Kenn Scribner and Scott Seely
// This code supplied without any warranties, express or implied. 
// Code is free to use, public domain. 
// Have a nice day!
using System;
using System.Data.Services;
using System.Linq.Expressions;
using System.Web;
using PhotoShared;

namespace PhotoWeb
{
    public class ImageUserService : DataService<UserDataService>
    {
        // This method is called only once to initialize service-wide policies.
        public static void InitializeService(IDataServiceConfiguration config)
        {
            config.SetEntitySetAccessRule("Images", EntitySetRights.AllRead);
            config.SetEntitySetAccessRule("Users", EntitySetRights.AllRead);
        }

        [QueryInterceptor("Images")]
        public Expression<Func<ImageItem, bool>> OnQueryImages()
        {
            return o => o.PublicImage || o.UserName == HttpContext.Current.User.Identity.Name;
        }

        [ChangeInterceptor("Images")]
        public void OnChangeImages(ImageItem imageItem, UpdateOperations updateOperation)
        {
        }
    }
}
